Skip to main content
`Ctrl`+`K`

# PEPProblemType

Determines the type of the polynomial eigenproblem.

## Synopsis

    typedef enum { PEP_GENERAL    = 1,
                   PEP_HERMITIAN  = 2,
                   PEP_HYPERBOLIC = 3,
                   PEP_GYROSCOPIC = 4
                 } PEPProblemType;

## Values

- `PEP_GENERAL` - polynomial eigenproblem with no particular structure

- `PEP_HERMITIAN` - polynomial eigenproblem with all coefficient matrices Hermitian

- `PEP_HYPERBOLIC` - quadratic eigenproblem with hyperbolic structure

- `PEP_GYROSCOPIC` - quadratic eigenproblem with gyroscopic structure

## Note

By default, no particular structure is assumed (`PEP_GENERAL`).

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPSetProblemType()`, `PEPGetProblemType()`

## Level

intermediate

## Location

include/slepcpep.h

## Examples

src/pep/tutorials/ex40.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages